---
id: log-template-delete
title: "Delete template"
description: "Delete a specific template by its ID."
sidebar_label: "Delete template"
hide_title: true
hide_table_of_contents: true
api: eJzdVt9v2zYQ/lcO99QCqu22yQboLUsyLEMfgtbBCiRBcCbPEluKVEkqi2vofx9Okm3ZDpa+bAPmB1oS7sd3331Hco2RVRNMWmF+u8YFU+Bw1qQS89v79j7DREXE/BY/+AISV7WlxHif4dMb11grr0sfKszXqHxVkdMPjirGHKfWF9OtR5uh5qiCqZPxDnO8YMuJgSDWrMzSqG10WKzApAhXFxPM0NccSHyuNOZoffGwsct1FwIzrClQxYlD7IowEr+mVGKGAxijMcPA3xoTWGOeQsMZRlVyRQI9rWqxiikYVxxjnZcMjTPfGoarC/BLSCVv4QpIfqKqtoz5yelPPwtrgWPtXeQo0d/NZvJ3EHNTbWyU4hiXjbUr6EvSE8Fw8vnzsdu5NewScAg+wDYL6IYheTDukazRYFzdJPABKhOjcQXsGBK4yrvELkl0qmtrVEfw9EuUFOtjXvziC6u0x+AtxkSpiedeSwc6PJhhxTFS0QmkDtK6ZHoORta7uMYlLlj89ov8bT6/ht4DlNcMgevAkV2SWoT8rWjUmI9XPCkmGZzMZrK8leW9LCev95s0m7VCwh6WofeHUM6gIlUax28Ck6aF5SFXhyuVlEBR4sIH851jj43DIwdYkrFN2JcHLkg/CIkck7S4p+0HQCyC4WUGZVOR2yEZWW1U2YOTcBs27vAX0vCxT3qH8uHGUZPKDrK+w31yxtYCcdPRl0FqbeSRLGhOZGwEWvgm7WDt55GhGqiAPylCRVZ2EtbQsesSGcd6K+mxgtvul+HpcxPyqaf/cEKM053OXQHkwMTYMHjXgTu7voJoNP/PRiOOiRjEcCqjcTp7J8v7/caf/ndTIcUGR/ahN3roKfvX5uNqSA+DdC7Fpp8U+WIUw42jRzJWoh4NzLPu/+jonDloHD/VrBLroSSvVBMC6wlcW6bIkMIKqCDjQI6ZsJkaYfUpsYvGu/64/MorzA/P8wwfyTb88rkup13FqfRyPI9OZLlB4FTGKXgJ63jrNF0b3WKGfbd7EE2wmGOZUh3z6ZRqMxnDmShfHbF2HbxuVNfcPhIKls115pNMaj9g40vNthWSCoc7QLczd0aYDQ+/+lBRwhx//2OOQppxS9+5m9T14LyvDLrShC4Oscf1djKbzKT/tY+pom7fGLgbLj1b9g5KWu+2nx++Hw3lJH5K09qScZK5Y3M9dOEWx10Ql1363GjZkEofkxiu1wuKfBNs28rnbw0HuRfeixqCEfV3zdImyrPGfEk28t9U8erjsC2+hhcvUc9WMnwkt9pJEjEbRGs0tvdthiWT5jBS85lSXKeRy9Fmvqfbi8sPl/NLzJD2RXIgii7Bs4jW695i7r+ya9stwCTvgrFt/wJht/GG
sidebar_class_name: "delete api-method"
info_path: docs/api/control-plane
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Delete template"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/controlplane/template/{id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>



Delete a specific template by its ID.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"The unique ID of the template.","example":4567}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Template successfully deleted."},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific client error (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"bad_request"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Bad Request\", \"Unauthorized\").","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error (e.g., 500, 502, 503).","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type (e.g., \"Internal Server Error\", \"Service Unavailable\").","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred. Please try again later."}}}}}}}}
>
  
</StatusCodes>


      